libsnappy-dev_1.1.7-1+b1_i386.deb


Advertisement

Description

libsnappy-dev - fast compression/decompression library (development files)

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename libsnappy-dev_1.1.7-1+b1_i386.deb
Package name libsnappy-dev
Package version 1.1.7
Package release 1+b1
Package architecture i386
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://github.com/google/snappy/
License -
Maintainer Laszlo Boszormenyi (GCS) <gcs@debian.org>
Download size 30.45 KB
Installed size 104.00 KB

Alternatives

Package Version Architecture Repository
libsnappy-dev_1.1.7-1+b1_amd64.deb 1.1.7 amd64 Debian Main
libsnappy-dev - - -

Requires

Name Value
libsnappy1v5 = 1.1.7-1+b1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libsnappy-dev_1.1.7-1+b1_i386.deb
Source Package snappy

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsnappy-dev deb package:
    # sudo apt-get install libsnappy-dev

Files

Path
/usr/include/snappy-c.h
/usr/include/snappy-sinksource.h
/usr/include/snappy-stubs-public.h
/usr/include/snappy.h
/usr/lib/i386-linux-gnu/libsnappy-shared.a
/usr/lib/i386-linux-gnu/libsnappy.a
/usr/lib/i386-linux-gnu/libsnappy.so
/usr/lib/i386-linux-gnu/cmake/Snappy/SnappyConfig.cmake
/usr/lib/i386-linux-gnu/cmake/Snappy/SnappyConfigVersion.cmake
/usr/lib/i386-linux-gnu/cmake/Snappy/SnappyTargets-relwithdebinfo.cmake
/usr/lib/i386-linux-gnu/cmake/Snappy/SnappyTargets.cmake
/usr/lib/i386-linux-gnu/pkgconfig/snappy.pc
/usr/share/doc/libsnappy-dev/NEWS.gz
/usr/share/doc/libsnappy-dev/README.md.gz
/usr/share/doc/libsnappy-dev/changelog.Debian.gz
/usr/share/doc/libsnappy-dev/changelog.Debian.i386.gz
/usr/share/doc/libsnappy-dev/copyright

Changelog

2017-09-05 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
snappy (1.1.7-1) unstable; urgency=medium
* New upstream release.
* Update patches.
2017-08-20 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
snappy (1.1.6-4) unstable; urgency=medium
* Correct libsnappy-shared.a symlink target (closes: #872226).
2017-08-08 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
snappy (1.1.6-3) unstable; urgency=medium
[ Niclas Rosenvik ]
* Readd pkgconfig support (closes: #871437).
2017-07-22 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
snappy (1.1.6-2) unstable; urgency=medium
* Patch to build static library (closes: #868605).
2017-07-15 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
snappy (1.1.6-1) unstable; urgency=medium
* New upstream release.
* Switch to short debhelper rules format.
* Switch to CMake build system.
* Force CMake build until autoconf build still exists.
* Specify CMAKE_BUILD_TYPE to RelWithDebInfo.
* Patch CMake to multiarch library install.
* Install CMake files.
* Enable parallel building.
* Update Standards-Version to 4.0.0 .
2017-06-28 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
snappy (1.1.4-3) unstable; urgency=medium
[ Steve Langasek <steve.langasek@canonical.com> ]
* Use pristine upstream git source that works on armhf (closes: #866188).
2017-06-17 - Laszlo Boszormenyi (GCS) <gcs@debian.org>
snappy (1.1.4-2) unstable; urgency=low
* New maintainer (closes: #863946).
* Update Standards-Version to 3.9.8 and debhelper level to 10 .
2017-01-27 - Steinar H. Gunderson <sesse@debian.org>
snappy (1.1.4-1) unstable; urgency=medium
* New upstream release.
2016-03-19 - Steinar H. Gunderson <sesse@debian.org>
snappy (1.1.3-3) unstable; urgency=low
* Build a convenience library libsnappy-shared.a, which is suitable for
linking into a shared library. (Closes: #748627)
* Change the download URL in debian/copyright to point to GitHub instead of
Google Code, since upstream moved.
* Update Standards-Version to 3.9.7 (no changes needed).
2015-08-09 - Steinar H. Gunderson <sesse@debian.org>
snappy (1.1.3-2) unstable; urgency=medium
* Change package name to libsnappy1v5 for rebuild with g++-5.0 with the
C++11 ABI; conflict with libsnappy1. (Closes: #791289, #794993)
* Switch Debian packaging to the 3.0 (quilt) format.

See Also

Package Description
libsnappy-java_1.1.7.2-1_all.deb Snappy for Java, a fast compressor/decompresser
libsnappy-jni_1.1.7.2-1_i386.deb Snappy for Java, a fast compressor/decompresser (JNI library)
libsnappy1v5_1.1.7-1+b1_i386.deb fast compression/decompression library
libsndfile1-dev_1.0.28-6_i386.deb Development files for libsndfile; a library for reading/writing audio files
libsndfile1_1.0.28-6_i386.deb Library for reading/writing audio files
libsndifsdl2-dev_0.8.3-2_i386.deb SDL2-based sound support for the fizmo interpreter
libsndio-dev_1.5.0-3_i386.deb Small audio and MIDI framework from OpenBSD, development files
libsndio7.0_1.5.0-3_i386.deb Small audio and MIDI framework from OpenBSD, runtime libraries
libsndobj-dev_2.6.7+ds1-1+b1_i386.deb Sound Object library (development files)
libsndobj2v5_2.6.7+ds1-1+b1_i386.deb Sound Object library
libsnl-dev_0.2.1.svn.18-1.1_i386.deb Simple Nurbs Library (development files)
libsnl0_0.2.1.svn.18-1.1_i386.deb Simple Nurbs Library
libsnmp-base_5.7.3+dfsg-5_all.deb SNMP configuration script, MIBs and documentation
libsnmp-base_5.8+dfsg-1_all.deb SNMP configuration script, MIBs and documentation
libsnmp-dev_5.8+dfsg-1_i386.deb SNMP (Simple Network Management Protocol) development files
Advertisement
Advertisement